/* This style file has been created automatically per your request.

The following pages can help you get started with CSS:
* CSS Tutorial (http://w3schools.com/css/default.asp)
* CSS3 Tutorial (http://w3schools.com/css3/default.asp)
* CSS Reference (http://w3schools.com/cssref/default.asp) */
.ch-ArticleContent
{
  font-family: "Helvetica Neue", "Lucida Grande", "Segoe UI", Arial, Helvetica, Verdana, sans-serif;
  margin: 0px;
  padding: 8px;
  color: #383838;
}

.ch-ArticleContent::selection
{
  color: white;
  background-color: #74BA92;
}

/*ФИКС СКРОЛЛА ← используется, чтобы пользователи могли искать информ. в публикации через Ctrl+F*/
.ch-ArticleContent,
.ch-ArticleContent
{
  overflow: auto !important;
}

body.HtmlEditor_editableBody
{
  overflow: initial !important;
}

/*конец фикса*/
.ch-ArticleContent a
{
  color: #339966;
  text-decoration: none;
}

.ch-ArticleContent a:hover
{
  text-decoration: underline;
}

.ch-ArticleContent p,
.ch-ArticleContent ul,
.ch-ArticleContent ol
{
  font-size: 16px;
  color: #383838;
  line-height: 1.5;
}

/* button */
.ch-ArticleContent .button-HELP
{
  appearance: none;
  backface-visibility: hidden;
  background-color: #52b47c;
  border-radius: 8px;
  border-style: none;
  box-shadow: rgba(39, 174, 96, .15) 0 4px 9px;
  box-sizing: border-box;
  color: #fff;
  cursor: pointer;
  display: inline-block;
  font-family: Inter,-apple-system,system-ui,"Segoe UI",Helvetica,Arial,sans-serif;
  font-size: 16px;
  font-weight: 600;
  letter-spacing: normal;
  line-height: 1.5;
  outline: none;
  overflow: hidden;
  padding: 13px 20px;
  position: relative;
  text-align: center;
  text-decoration: none;
  transform: translate3d(0, 0, 0);
  transition: all .3s;
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
  vertical-align: top;
  white-space: nowrap;
}

.ch-ArticleContent .button-HELP:hover
{
  background-color: #239854;
  opacity: 1;
  transform: translateY(0);
  transition-duration: .35s;
  text-decoration: none;
}

.ch-ArticleContent .button-HELP:active
{
  transform: translateY(2px);
  transition-duration: .35s;
}

.ch-ArticleContent .button-HELP:hover
{
  box-shadow: rgba(39, 174, 96, .2) 0 6px 12px;
}

/*end of button*/
/* styles for menu*/
.ch-ArticleContent .BaseMaster_profileLink
{
  order: 2;
}

.ch-ArticleContent .MainMenu_container
{
  order: 1;
}

/* end styles for menu*/
.ch-ArticleContent h2
{
  font-size: 24px;
  font-weight: bold;
  margin-top: 2em;
}

.ch-ArticleContent h3
{
  font-size: 22px;
  font-weight: normal;
  margin-top: 1.5em;
}

.ch-ArticleContent h4
{
  font-size: 18px;
  font-weight: bold;
  margin-top: 1.5em;
  margin-bottom: 0;
  color: #339966;
}

.ch-ArticleContent li
{
  margin-top: 1em;
  margin-bottom: 1em;
}

.ch-ArticleContent .nospacing
{
  margin-top: 1em;
  margin-bottom: 1em;
}

/*UP BUTTON  — кнопка «наверх» ← сейчас не используется из-за фикса скролла */
.ch-ArticleContent #to-top-btn
{
  display: none;
  position: fixed;
  bottom: 50px;
  right: 0px;
  z-index: 99;
  background-color: #FFFFFF;
  padding: 0px;
  border: none;
  outline: none;
  cursor: pointer;
  border-radius: 5px;
  opacity: 0.5
;
}

.ch-ArticleContent #to-top-btn:hover
{
  background-color: #F1F1F1;
}

.ch-ArticleContent #to-top-btn div
{
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  align-content: center;
  justify-content: center;
  align-items: center;
}

.ch-ArticleContent #to-top-btn span
{
  font-size: 0.7rem;
  margin-top: 4px;
}

.ch-ArticleContent #to-top-btn img
{
  max-width: 50px;
  max-height: 50px;
}

/* конец стилей кнопки */
.ch-ArticleContent .CHHotspot
{
  text-decoration: underline;
  color: blue;
}

.ch-ArticleContent .CHHotspot:active
{
  color: red;
}

.ch-ArticleContent .CHHotspot_expanded
{

}

.ch-ArticleContent .listNumeric
{
  list-style-type: decimal;
}

.ch-ArticleContent .listAlpha
{
  list-style-type: lower-alpha;
}

.ch-ArticleContent .listRoman
{
  list-style-type: lower-roman;
}

.ch-ArticleContent .listDisc
{
  list-style-type: disc;
}

.ch-ArticleContent .listCircle
{
  list-style-type: circle;
}

.ch-ArticleContent .listSquare
{
  list-style-type: square;
}

/* стили для печати*/
@media print
{
  .ch-ArticleContent .nonPrintable,
.ch-ArticleContent .CHSeeAlso,
.ch-ArticleContent .successBoxImageCell,
.ch-ArticleContent .warningBoxImageCell,
.ch-ArticleContent .errorBoxImageCell,
.ch-ArticleContent .noteBoxImageCell,
.ch-ArticleContent .infoBoxImageCell,
.ch-ArticleContent .CHMiniToc,
.ch-ArticleContent #to-top-btn,
.ch-ArticleContent .successBoxImageCell img,
.ch-ArticleContent .Next-Prev-container
  {
    display: none;
  }

  .ch-ArticleContent .nonPrintable
  {

  }
}

/* Tables */
/* CHTable is the CSS class assigned to all tables by default. Use the styles below to customize the default tables appearance */
.ch-ArticleContent .CHTable
{
  overflow-wrap: anywhere;
  min-width: 50px;
}

.ch-ArticleContent .CHTable th,
.ch-ArticleContent .CHTable td
{
  border: 1px solid #cdcdcd;
  padding: 8px;
}

.ch-ArticleContent .CHTable td
{
  vertical-align: top;
}

.ch-ArticleContent .CHTable th
{
  font-weight: bold;
  background-color: #DDE7F6;
}

/* Navigation elements */
.ch-ArticleContent .CHNavLinkTop
{

}

/*стили для кнопочек «Пред. статья - След. статья»*/
.ch-ArticleContent .Next-Prev-container
{
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-content: center;
  align-items: center;
  justify-content: flex-start;
  margin-bottom: 16px;
}

.ch-ArticleContent .CHNavLinkNext:hover,
.ch-ArticleContent .CHNavLinkPrevious:hover
{
  background: #F1FAF2;
  border-color: #E0EEE2;
}

.ch-ArticleContent a.CHNavLinkNext,
.ch-ArticleContent a.CHNavLinkPrevious
{
  text-decoration-line: none;
}

.ch-ArticleContent .CHNavLinkNext,
.ch-ArticleContent .CHNavLinkPrevious
{
  background: #F9F9F9;
  border-radius: 8px;
  border-style: solid;
  border-width: 1px;
  border-color: #EDEDED;
  padding: 10px 20px 10px 20px;
  margin: 16px 20px 0 0;
  width: fit-content;
  min-width: 200px;
}

.ch-ArticleContent .CHNavLinkNext::before
{
  content: "Следующая статья → \a";
  color: #616161;
  font-size: 14px;
  white-space: pre-wrap;
  box-sizing: border-box;
}

.ch-ArticleContent .CHNavLinkPrevious::before
{
  content: "← Предыдущая статья\a";
  color: #616161;
  font-size: 14px;
  white-space: pre-wrap;
  box-sizing: border-box;
}

/*конец стилей кнопочек пред./след. */
.ch-ArticleContent .CHNavCaption
{

}

/*блок, который выводит дочерние статьи */
.ch-ArticleContent .CHSeeAlso
{
  list-style-type: none;
  padding: 10px 20px 1px 20px;
  width: fit-content;
  background: #F1FAF2;
  border-radius: 8px;
  border-style: solid;
  border-width: 1px;
  border-color: #E0EEE2;
}

.ch-ArticleContent .CHSeeAlso::before
{
  content: "Читайте далее:";
  color: #616161;
  text-transform: uppercase;
  letter-spacing: 2px;
  font-size: 12px;
  margin-bottom: -20px;
}

.ch-ArticleContent .CHSeeAlso_separator
{

}

.ch-ArticleContent .CHSeeAlso_item
{

}

.ch-ArticleContent .CHSeeAlso_itemChild
{

}

.ch-ArticleContent .CHSeeAlso_itemSibling
{

}

.ch-ArticleContent .CHSeeAlso_hasChildren
{

}

.ch-ArticleContent .CHSeeAlso_hasSiblings
{

}

/**/
.ch-ArticleContent .CHBreadcrumb
{

}

.ch-ArticleContent .CHBreadcrumb_separator
{

}

.ch-ArticleContent .CHBreadcrumb_item
{

}

.ch-ArticleContent .CHBreadcrumb_itemHome
{

}

.ch-ArticleContent .CHBreadcrumb_itemPub
{

}

.ch-ArticleContent .CHBreadcrumb_itemSelf
{

}

/* "Show More" Box */
/* раскрывающийся блок */
.ch-ArticleContent .CHBoxShowMore
{
  background: #FFFFFF;
  border: 1px solid #ADADAD;
  border-radius: 8px;
  padding: 10px 15px;
  margin-bottom: 5px;
}

.ch-ArticleContent .CHBoxShowMore a
{
  color: #717171;
  font-weight: 500;
}

.ch-ArticleContent .CHBoxShowMore .showMoreLabel
{

}

.ch-ArticleContent .CHBoxShowMore .hideLabel
{

}

.ch-ArticleContent .CHBoxShowMore .showMoreContent
{

}

/* Info/warning boxes */
.ch-ArticleContent .successBox,
.ch-ArticleContent .warningBox,
.ch-ArticleContent .errorBox,
.ch-ArticleContent .noteBox,
.ch-ArticleContent .infoBox
{
  min-width: 100%;
  max-width: 100%;
  border-radius: 8px;
}

.ch-ArticleContent .successBox td,
.ch-ArticleContent .warningBox td,
.ch-ArticleContent .errorBox td,
.ch-ArticleContent .noteBox td,
.ch-ArticleContent .infoBox td
{
  padding: 10px 5px 10px 5px;
  vertical-align: top;
}

.ch-ArticleContent .infoBox
{
  background-color: #E6F0F9;
}

.ch-ArticleContent .noteBox
{
  background-color: #EFECF7;
}

.ch-ArticleContent .successBox
{
  background-color: #E7F3EF;
}

.ch-ArticleContent .warningBox
{
  background-color: #FFF4E9;
}

.ch-ArticleContent .errorBox
{
  background-color: #FDE9E8;
}

.ch-ArticleContent .successBoxImageCell,
.ch-ArticleContent .warningBoxImageCell,
.ch-ArticleContent .errorBoxImageCell,
.ch-ArticleContent .noteBoxImageCell,
.ch-ArticleContent .infoBoxImageCell
{
  padding-right: 15px;
  padding-left: 10px !important;
  padding-top: 14px !important;
  width: 20px !important;
  height: 20px !important;
  vertical-align: top;
}

/* Link icons displayed on hover in headings */
.ch-ArticleContent .CHHeadingLink
{

}

/* Mini-TOC */
/* блок, который выводит оглавление */
.ch-ArticleContent .CHMiniToc
{
  list-style-type: none;
  padding: 10px 20px 1px 20px;
  width: fit-content;
  background: #FBFBFB;
  border-radius: 8px;
  border-style: solid;
  border-width: 1px;
  border-color: #F4F4F4;
}

.ch-ArticleContent .CHMiniToc::before
{
  content: "В этом разделе:";
  color: #616161;
  text-transform: uppercase;
  letter-spacing: 2px;
  font-size: 12px;
  margin-bottom: -20px;
}

.ch-ArticleContent .CHMiniToc_heading2 a,
.ch-ArticleContent .CHMiniToc_heading3 a,
.ch-ArticleContent .CHMiniToc_heading4 a,
.ch-ArticleContent .CHMiniToc_heading5 a,
.ch-ArticleContent .CHMiniToc_heading6 a
{
  text-decoration: none;
  color: #717171;
}

.ch-ArticleContent .CHMiniToc_heading2,
.ch-ArticleContent .CHMiniToc_heading3,
.ch-ArticleContent .CHMiniToc_heading4,
.ch-ArticleContent .CHMiniToc_heading5,
.ch-ArticleContent .CHMiniToc_heading6
{
  padding-top: 0px !important;
}

.ch-ArticleContent .CHMiniToc_heading2 a
{
  font-weight: 500;
}

.ch-ArticleContent .CHMiniToc_heading2 a:hover,
.ch-ArticleContent .CHMiniToc_heading3 a:hover,
.ch-ArticleContent .CHMiniToc_heading4 a:hover,
.ch-ArticleContent .CHMiniToc_heading5 a:hover,
.ch-ArticleContent .CHMiniToc_heading6 a:hover
{
  text-decoration: none;
  color: #3DA16B;
}

/* Code Samples */
.ch-ArticleContent .CHCodeSample_code,
.ch-ArticleContent .CHCodeSample_code pre,
.ch-ArticleContent .CHCodeSample_codeSimple
{
  background-color: #ECF6ED !important;
  font-size: 16px;
}

.ch-ArticleContent .CHCodeSample_copyCode,
.ch-ArticleContent .CHCodeSample_copyCode:hover
{
  background-image: url("/resources/Storage/synapse-abonent-application/Branding/icons/copy_default.png") !important;
  background-size: 16px 16px !important;
}

.ch-ArticleContent .CHCodeSample_container
{
  border-radius: 15px;
}

.ch-ArticleContent .CHCodeSample_header
{
  content: "Код";
  border-radius: 15px 15px 0 0;
  background-color: #6C7D72 !important;
  color: #ECF6ED !important;
  font-weight: 700;
}

.ch-ArticleContent .CHCodeSample_langName
{
  content: "Код";
}

.ch-ArticleContent .CHCodeSample_copyCode a
{
  color: #ECF6ED !important;
}

.ch-ArticleContent .CHCodeSample_copyCodePressed
{
  color: #6C7D72;
  background-color: #ECF6ED !important;
  border-radius: 0 15px 0 0;
}

.ch-ArticleContent .CHCodeSample_copyCodePressed::after
{
  border-radius: 0 15px 0 0 !important;
}

.ch-ArticleContent .CHCodeSample_code
{
  border-radius: 0 0 15px 15px;
}

/* было →
.CHCodeSample_container
{
}

.CHCodeSample_header
{
  content:"Код";
}

.CHCodeSample_langName
{
  content:"Код";
}

.CHCodeSample_copyCode
{
}

.CHCodeSample_code
{
}
*/
/* Tabs */
.ch-ArticleContent .CHTabs_container
{

}

.ch-ArticleContent .CHTabs_tabCaptionsContainer
{

}

.ch-ArticleContent .CHTabs_tabCaption
{

}

.ch-ArticleContent .CHTabs_tabCaption:hover
{
  color: #0078d4;
  background-color: #e4ebef;
}

.ch-ArticleContent .CHTabs_tabCaption.CHTabs_tabCaptionSelected,
.ch-ArticleContent .CHTabs_tabCaptionSelected:hover
{
  color: #0078d4;
  background-color: #cfe0ed;
}

.ch-ArticleContent .CHTabs_tabContentContainer
{

}

/* Other elements */
.ch-ArticleContent .CHDropdownHotspot:hover
{
  border: solid 1px #edebe9;
}

.ch-ArticleContent .CHDropdownHotspot
{
  padding: 3px;
  text-decoration: none;
  color: #696969;
  background-color: #faf9f8;
  border-radius: 2px;
}

.ch-ArticleContent .CHHotspot_expanded
{
  border: solid 1px #EDEBE9;
}

.ch-ArticleContent .CHDropdown
{
  padding: 8px;
  background-color: #faf9f8;
  border-radius: 2px;
  border: solid 1px #edebe9;
}

.ch-ArticleContent .CHTable
{
  border-collapse: collapse;
}

.ch-ArticleContent .CHTable td p,
.ch-ArticleContent .CHTable th p
{
  margin-top: 3px;
  margin-bottom: 3px;
}

.ch-ArticleContent video
{
  max-width: 100%
;
}

.ch-ArticleContent .CHPopup
{
  border-radius: 4px;
  box-shadow: rgb(0 0 0 / 14%) 0px 4px 8px !important;
}

/* API Docs Elements - begin */
.ch-ArticleContent .inlineCode
{
  font-family: "Consolas", monospace;
  color: #696969;
  background: #f6f7f9;
  padding: 3px;
  border-radius: 3px;
}

/* CHMemberTable */
.ch-ArticleContent .CHMemberTable
{
  border: 1px solid #e7ecf0;
  border-radius: 3px;
  border-collapse: collapse;
  width: 100%;
}

.ch-ArticleContent .CHMemberTable tr:nth-child(even)
{
  background-color: #f5f7f9;
}

.ch-ArticleContent .CHMemberTable td
{
  border-bottom: 1px solid #f5f7f9;
  vertical-align: baseline;
  padding: 10px;
}

.ch-ArticleContent .CHMemberTable td p
{
  margin: 0;
  line-height: 1.5;
}

.ch-ArticleContent .CHMemberTable > tr > td:first-child,
.ch-ArticleContent .CHMemberTable > tbody > tr > td:first-child
{
  line-height: 1;
  white-space: nowrap;
}

.ch-ArticleContent .CHMemberTable > tr > td:nth-child(2),
.ch-ArticleContent .CHMemberTable > tbody > tr > td:nth-child(2)
{
  font-family: "Consolas", monospace;
  color: #8792a2;
  white-space: nowrap;
}

.ch-ArticleContent .CHMemberTable > tr > td:last-child,
.ch-ArticleContent .CHMemberTable > tbody > tr > td:last-child
{
  width: 100%;
}

.ch-ArticleContent .CHMemberTable_optionalMark,
.ch-ArticleContent .CHMemberTable_requiredMark
{
  font-family: monospace;
  font-size: 0.9em;
  text-transform: uppercase;
}

.ch-ArticleContent .CHMemberTable_requiredMark
{
  color: #ed6055;
}

/* CHHttpRequest */
.ch-ArticleContent .CHHttpRequest
{
  width: 100%;
  table-layout: fixed;
  border: none;
  border-collapse: collapse;
  border-spacing: 0;
  margin-top: 1em;
}

.ch-ArticleContent .CHHttpRequest_headerImg,
.ch-ArticleContent .CHHttpRequest_headerText
{
  padding-top: 5px;
  padding-bottom: 8px;
  font-weight: bold;
}

.ch-ArticleContent .CHHttpRequest_get .CHHttpRequest_headerImg,
.ch-ArticleContent .CHHttpRequest_put .CHHttpRequest_headerImg
{
  width: 40px;
}

.ch-ArticleContent .CHHttpRequest_post .CHHttpRequest_headerImg
{
  width: 47px;
}

.ch-ArticleContent .CHHttpRequest_delete .CHHttpRequest_headerImg
{
  width: 63px;
}

.ch-ArticleContent .CHHttpRequest_headerImg
{
  padding-right: 10px;
}

.ch-ArticleContent .CHHttpRequest_headerImg img
{
  vertical-align: middle;
}

.ch-ArticleContent .CHHttpRequest_headerText
{
  width: 100%;
}

.ch-ArticleContent .CHHttpRequest_code
{
  font-family: "Consolas", monospace;
  font-size: 14px;
  color: #696969;
  background: #f6f7f9;
  border-radius: 4px;
  padding: 10px 16px;
}

/* CHResponseCode */
.ch-ArticleContent .CHResponseCode_good,
.ch-ArticleContent .CHResponseCode_warning,
.ch-ArticleContent .CHResponseCode_error
{
  font-weight: bold;
  margin-bottom: 0;
}

.ch-ArticleContent .CHResponseCode_good + p,
.ch-ArticleContent .CHResponseCode_warning + p,
.ch-ArticleContent .CHResponseCode_error + p
{
  margin-top: 0;
}

.ch-ArticleContent .CHResponseCode_good::before,
.ch-ArticleContent .CHResponseCode_warning::before,
.ch-ArticleContent .CHResponseCode_error::before
{
  content: " ";
  display: inline-block;
  height: 10px;
  width: 10px;
  border-radius: 50%;
}

.ch-ArticleContent .CHResponseCode_good::before
{
  background: #27cb7c;
}

.ch-ArticleContent .CHResponseCode_warning::before
{
  background: #ff9d3d;
}

.ch-ArticleContent .CHResponseCode_error::before
{
  background: #ff4741;
}

/* API Docs Elements - end */
/* RTL - start */
.ch-ArticleContent .rtl .successBox,
.ch-ArticleContent .rtl .warningBox,
.ch-ArticleContent .rtl .errorBox,
.ch-ArticleContent .rtl .noteBox,
.ch-ArticleContent .rtl .infoBox
{
  margin-right: 0px;
}

.ch-ArticleContent .rtl .successBoxImageCell,
.ch-ArticleContent .rtl .warningBoxImageCell,
.ch-ArticleContent .rtl .errorBoxImageCell,
.ch-ArticleContent .rtl .noteBoxImageCell,
.ch-ArticleContent .rtl .infoBoxImageCell
{
  padding-left: 8px;
}

.ch-ArticleContent .rtl .CHHttpRequest_headerImg
{
  padding-left: 10px;
}

/* RTL - end */
.ch-ArticleContent .CHTable_examples
{
  overflow-wrap: anywhere;
  min-width: 50px;
  border-radius: 10px;
}

.ch-ArticleContent .CHTable_examples th,
.ch-ArticleContent .CHTable_examples td
{
  padding: 8px;
}

.ch-ArticleContent .CHTable_examples td
{
  vertical-align: top;
}

.ch-ArticleContent .CHTable_examples th:nth-child(1)
{
  font-weight: bold;
  color: #154128;
  background-color: #D2F8CD;
  border-top-left-radius: 10px;
}

.ch-ArticleContent .CHTable_examples th:nth-child(2)
{
  font-weight: bold;
  color: #411615;
  background-color: #FDC1C1;
  border-top-right-radius: 10px;
}